#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using MasterDetailsViewDemo;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Windows.Threading;
using Syncfusion.UI.Xaml.Grid.Helper;

namespace MasterDetailsViewDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow :Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.SelectionChanged += dataGrid_SelectionChanged;
            
            (this.dataGrid.DetailsViewDefinition[0] as GridViewDefinition).DataGrid.SelectionChanged +=DataGrid_SelectionChanged;
        }
      
        void DataGrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {
            if ((e.OriginalSender as DetailsViewDataGrid).SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex > 1)
            {
                RowColumnIndex rowcol = new RowColumnIndex((e.OriginalSender as DetailsViewDataGrid).SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex, 0);
                (e.OriginalSender as DetailsViewDataGrid).MoveCurrentCell(rowcol, true);
                (e.OriginalSender as DetailsViewDataGrid).SelectionController.CurrentCellManager.BeginEdit();
            }
           
        }

      
        void dataGrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {       
          if (Keyboard.IsKeyDown(Key.Enter))
              {
                  if (!this.dataGrid.IsInDetailsViewIndex(this.dataGrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex))
                  {
                      RowColumnIndex rowcol = new RowColumnIndex(this.dataGrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex.RowIndex, 1);
                      this.dataGrid.MoveCurrentCell(rowcol, true);
                      this.dataGrid.SelectionController.CurrentCellManager.BeginEdit();
                  }
                  else if(this.dataGrid.SelectedDetailsViewGrid != null)
                  {
                      this.dataGrid.SelectedDetailsViewGrid.SelectionController.CurrentCellManager.BeginEdit();
                  }
              }          
        }
    }
}
